# FusionSpeciesFormEvolution | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FusionSpeciesFormEvolution

#### Hierarchy (view full)

- SpeciesFormEvolution
  - FusionSpeciesFormEvolution

- Defined in src/data/pokemon-evolutions.ts:86

#####
Index

### Constructors

constructor

### Properties

condition
evoFormKey
item
level
preFormKey
primarySpeciesId
speciesId
wildDelay

## Constructors

### constructor

- new FusionSpeciesFormEvolution(primarySpeciesId, evolution): FusionSpeciesFormEvolution

- #### Parameters

  - primarySpeciesId: Species
  - evolution: SpeciesFormEvolution

  #### Returns FusionSpeciesFormEvolution

  Overrides SpeciesFormEvolution.constructor

  - Defined in src/data/pokemon-evolutions.ts:89

## Properties

### condition

condition: SpeciesEvolutionCondition

Inherited from SpeciesFormEvolution.condition

- Defined in src/data/pokemon-evolutions.ts:66

### evoFormKey

evoFormKey: string

Inherited from SpeciesFormEvolution.evoFormKey

- Defined in src/data/pokemon-evolutions.ts:63

### item

item: EvolutionItem

Inherited from SpeciesFormEvolution.item

- Defined in src/data/pokemon-evolutions.ts:65

### level

level: number

Inherited from SpeciesFormEvolution.level

- Defined in src/data/pokemon-evolutions.ts:64

### preFormKey

preFormKey: string

Inherited from SpeciesFormEvolution.preFormKey

- Defined in src/data/pokemon-evolutions.ts:62

### primarySpeciesId

primarySpeciesId: Species

- Defined in src/data/pokemon-evolutions.ts:87

### speciesId

speciesId: Species

Inherited from SpeciesFormEvolution.speciesId

- Defined in src/data/pokemon-evolutions.ts:61

### wildDelay

wildDelay: SpeciesWildEvolutionDelay

Inherited from SpeciesFormEvolution.wildDelay

- Defined in src/data/pokemon-evolutions.ts:67